Subject: bug#62099: 29.0.60; Intentional change to *Help* source code links?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 May 2023 08:51:22 +0300

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked], Lars Ingebrigtsen <[email-masked]>
> Date: Thu, 11 May 2023 23:14:37 +0200
> 
> In fact, it's not necessary to have an existing directory under
> ~/.emacs.d; I created ~/.emacs containing just the following line:
> 
> (add-to-list 'load-path "~/.emacs.d/test")
> 
> where there is no file (or directory) "test" under ~/.emacs.d, and with
> this init file the *Help* links are shown starting with '/..' in
> 43b0210f83c (and the current code base).  I note again that this only
> happens with an out-of-tree build.  I haven't yet been able to determine
> what part of the change in 43b0210f83c causes this issue.

Well, if you could find out the offending code, it will be
appreciated.

Thanks.